Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005001 [JEDI VCL] 00 JVCL Components trivial always 2009-10-29 19:18 2011-06-10 16:09
Reporter Mathieut View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005001: Memory Leak in JvHidControllerClass
Description When deviceChange and automaticaly call: "TJvHidDeviceController.DeviceChange"
in "procedure FillInList" PnPInfo Objects is allocated with "TJvHidPnPInfo.Create(PnPHandle, DevData, PChar(@FunctionClassDeviceData.DevicePath))"
and memory is not completely desallocated.
When closing program there is 8 PnPInfo objects still desallocated.
The number 8 for me is the number of HID components in my computer.
Additional Information Call Stack Information:
-------------------------------------------------------------------------------|
|Address |Module |Unit |Class |Procedure/Method|Line
-------------------------------------------------------------------------------|
|+Memory Leak: Type=TJvHidPnPInfo; Total size=6144; Count=7 |------------------------------------------------------------------------------|
|005E05A1|MyApp.exe|JvHidControllerClass.pas| |FillInList |1691[26]|
|005DF5AA|MyApp.exe|JvHidControllerClass.pas|TJvHidPnPInfo|Create |540[3] |
|------------------------------------------------------------------------------|
|+Memory Leak: Type=TJvHidDevice; Total size=1652; Count=7
|------------------------------------------------------------------------------|
|005E05C4|MyApp.exe|JvHidControllerClass.pas| |FillInList |1694[29]|
|005DF5AA|MyApp.exe|JvHidControllerClass.pas|TJvHidPnPInfo|Create |540[3]
-------------------------------------------------------------------------------|
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0016929)
obones (administrator)
2009-12-04 14:42

Please send us the zipped sources of a sample application showing this
(0017285)
obones (administrator)
2010-03-09 12:18

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2009-10-29 19:18 Mathieut New Issue
2009-12-04 14:42 obones Note Added: 0016929
2009-12-04 14:42 obones Status new => feedback
2010-03-09 12:18 obones Note Added: 0017285
2010-03-09 12:18 obones Assigned To => obones
2010-03-09 12:18 obones Status feedback => assigned
2010-03-09 12:18 obones Resolution open => fixed
2010-03-09 12:18 obones Fixed in Version => Daily / SVN
2010-03-09 12:18 obones Target Version => 3.40 - not yet released
2010-04-02 13:57 AHUser Status assigned => resolved
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker